#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "mainWindow.h"
#include "textDebug.h"
#include "dirFunc.h"
#include "gmenu-editor.xpm"
#include "mv_cp.h"

GtkWidget *dialog2;
GtkWidget *okno;


void
on_button_clear_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_clear();
}


void
on_button_ok_clicked                   (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_new_icon_ok();
	mainWindow_refrash_clist();
}

void
on_button_command_browse_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_file_chooser();
}

void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_icon_select();
}

void
gtk_widget_hide__                      (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
gtk_widget_hide_dialog1_               (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
on_button_ad_add_set_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_add_set_func();
}


void
on_button_add_remove_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_remove_trans();
}


void
on_button_refresh_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_refrash_clist();
}

void
on_button_about_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
	gtk_widget_show_all(dialog2);
	
	GtkWidget *icon;
	GdkBitmap *mask;
	GdkPixmap *icon_pixmap;
	GtkWidget *okno_button_tmp = lookup_widget(dialog2, "button_p");
	icon_pixmap = gdk_pixmap_create_from_xpm_d( dialog2->window, &mask, NULL, gmenu_editor_xpm);
	icon = gtk_pixmap_new(icon_pixmap, mask);
	gtk_widget_show(icon);
	gtk_button_set_image(okno_button_tmp, icon);
	
		
}

void
on_clist_trans_select_row              (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
	mainWindow_trans_selected(row);

}

gboolean
on_okno_destroy_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
	printf("kill sie!!\n");
	mainWindow_destrou();
	return FALSE;
}





void
on_button_dir_clear_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_clear();
}


void
on_button_dir_ok_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_save_new_data_directory();
}


void
on_button_dir_del_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_delete_direcotry();
}


void
on_notebook3_change_current_page       (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        guint            page_num,
                                        gpointer         user_data)
{
	manDirTab_tab_change();
}

void
on_button_dir_icon_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
	mainWindow_icon_select_4_dir();
	
}

void
on_clist4_select_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{

}


void
on_button_dir_selection_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_button_execute(TRUE);
}

void
on_button_dir_new_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_make_new_directory();
}

void
on_button_dir_down_dir_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_go_into_a_directory();
}

void
on_button_dir_up_dir_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	manDirTab_go_up_a_directory();
}

void
on_button_cut_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
	mv_cp_cut();
}


void
on_button_copy_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
	mv_cp_copy();
}


void
on_button_paste_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
	mv_cp_paste();
}
